{ pkgs, ... }:

{

  imports = [
    ./services.nix
    ./backups.nix
    ./docker.nix
    ./users.nix
    ./gui.nix
    ./nix.nix
  ];

  config = {
    time.timeZone = "Europe/Amsterdam";
    boot.tmp.cleanOnBoot = true;
    environment.systemPackages = (import ../env.nix pkgs) ++ (with pkgs; [
      # For Mae
      neovim
      # For me
      helix
    ]);
  };

}
