{ pkgs, lib, config, nixpkgs, pwnix, helix, ... }:

let cfg = config.custom.nix;

in with lib; {

  options.custom.nix = {};

  # TODO: Add strawberry as a build machine here
  config = {
    nixpkgs.config.allowUnfree = true;
    nixpkgs.overlays = [ (import ../overlay.nix helix) ];
    nix.extraOptions = ''
      experimental-features = nix-command flakes
    '';
    nix.registry.nixpkgs.flake = nixpkgs;
    nix.registry.helix.flake = helix;
    nix.registry.pwnix.flake = pwnix;
    nix.settings.trusted-users = [
      "@wheel"
      "root"
    ];
  };

}
