# Manage user settings that don't specifically fit anywhere else.

{ pkgs, config, home-manager, lib, ... }: {

  imports = [
    home-manager.nixosModules.home-manager
  ];

  config.home-manager.users."riley" = {
    imports = [ ../home ];
    isNixos = true;
    home.stateVersion = lib.mkDefault config.system.stateVersion;
  };

  config.users.users."riley" = {
    # TODO: Switch to a less ancient shell
    shell = pkgs.bash;
    isNormalUser = true;
    extraGroups = [
      # User is sudoer
      "wheel"
    ];
    # Authorize `riley` user on other machines to SSH into this machine.
    openssh.authorizedKeys.keyFiles =
      let userKey = sys: ../../system/${sys}/keys/riley.pub;
      in map userKey [ "dev-lt-63" "strawberry" "lime" ];
  };

}
