{ pkgs, lib, config, ... }:

let cfg = config.custom.git;

in with lib; {

  options.custom.git = {
    name = mkOption {
      type = types.str;
      default = "Riley Apeldoorn";
    };
    mail = mkOption {
      type = types.str;
      default = "me@riley.lgbt";
    };
  };

  config = {
    programs.git = {
      enable = true;
      userName = cfg.name;
      userEmail = cfg.mail;
      extraConfig = {
        pull.rebase = false;
        init.defaultBranch = "mistress";
      };
      delta.enable = true;
    };
  };

}
