{ pkgs, lib, config, ... }:

let cfg = config.programs.iamb;

in {

  options.programs.iamb = {
    enable = lib.mkEnableOption "iamb matrix client";
  };

  config = lib.mkIf (cfg.enable) {
    home.packages = [ pkgs.iamb ];
    xdg.configFile."iamb/config.json".text = builtins.toJSON {
      "profiles"."badat.dev" = {
        "url" = "https://matrix.badat.dev";
        "user_id" = "@riley:badat.dev";
      };
    };
  };

}
