{ lib, pkgs, config, helix, ... }:

(lib.mkIf (!config.isNixos) {

  nix = {
    enable = true;
    package = pkgs.nix;
    settings = {
      experimental-features = [ "nix-command" "flakes" ];
    };
  };

  nixpkgs.config = import ./nix-config.nix;
  nixpkgs.overlays = [
    (import ../../overlay.nix helix)
  ];

  xdg.configFile."nixpkgs/config.nix".source = ./nix-config.nix;

})
