{ config, ... }: 

let homeDir = config.home.homeDirectory;

in {

  xdg.userDirs = {
    # Let Nix manage the XDG directories
    enable = true;
    createDirectories = true;
    # Define the paths
    download  = "/tmp";
    music     = "${homeDir}/music";
    documents = "${homeDir}/docs";
    pictures  = "${homeDir}/pics";
    # Disable generation of these
    desktop     = null;
    publicShare = null;
    templates   = null;
    videos      = null;
  };

}