{ config, pkgs, lib, ... }:

{
  home = {
    username = "riley";
    homeDirectory = "/home/riley";
    stateVersion = "22.05";
    packages = [ pkgs.tty-share ];
  };

  programs = {
    home-manager.enable = false;
    iamb.enable = true;
  };

  custom.gui = {
    enable = true;
    bar = {
      network.wifi = "wlp0s20f3";
      network.eth = "enxcc483aafcee4";
      audio.wireplumber = false;
      battery.name = "BAT0";
    };
  };

  xdg.systemDirs.data = [ "/usr/share" "/usr/local/share" ];
  fonts.fontconfig.enable = true;

  programs.man.enable = false;

}