{ pkgs, lib, nixos-hardware, ... }: {

  imports = [
    nixos-hardware.nixosModules.lenovo-thinkpad-x390
    nixos-hardware.nixosModules.common-gpu-nvidia-disable
    ./hardware-configuration.nix
  ];

  custom = {
    gui.enable = true;
    backups.enable = true;
  };

  boot = {
    kernelModules = [ "kvm-intel" ];
    binfmt.emulatedSystems = [ "aarch64-linux" ];
  };

  services.fprintd.enable = true;

  networking.hostName = "lime";
  networking.networkmanager.enable = true;

  system.stateVersion = "22.11";
  services.xserver.libinput.enable = true;

  home-manager.users."riley".home.stateVersion = "22.11";

  programs.adb.enable = true;
  users.users."riley".extraGroups = ["adbusers"];

  programs.steam.enable = true;

  users.users."riley".packages = [ pkgs.bluez ];
  hardware.bluetooth = {
    enable = true;
    powerOnBoot = true;
  };

}

