{ ... }: {

  custom = {
    gui.enable = true;
    backups.enable = true;
  };

  system.stateVersion = "21.11";
  home-manager.users.riley.home.stateVersion = "21.11";

  networking = {
    hostName = "strawberry";
    interfaces."enp9s0".useDHCP = true;
    firewall.enable = false;
  };

  nix = {
    sshServe.enable = true;
    sshServe.keys = [
      (builtins.readFile ../cherry/keys/root.pub)
      # (builtins.readFile ../dev-lt-63/keys/riley.pub)
      # (builtins.readFile ../lime/keys/riley.pub)
    ];
  };
    
  boot = {
    initrd.availableKernelModules = [
      "nvme"
      "xhci_pci"
      "ahci"
      "usbhid"
      "usb_storage"
      "sd_mod"
    ];
    kernelModules = [ "kvm-amd" ];
    binfmt.emulatedSystems = [ "aarch64-linux" ];
    loader.systemd-boot = {
      enable = true;
      editor = false;
      configurationLimit = 10;
    };
    loader.efi.canTouchEfiVariables = true;
    
    initrd.luks.devices.nixos.device = "/dev/disk/by-uuid/6bd51990-1584-422c-94bb-32ea952e5cd2";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/f3cdd2ab-62ba-4d72-8a28-b3adc0ec3997";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/A6C8-03F3";
    fsType = "vfat";
  };

  swapDevices = [
    { device = "/dev/nixos/swap"; }
  ];

  programs.steam.enable = true;

  services.xserver.videoDrivers = [ "nvidia" ];
  hardware.nvidia.modesetting.enable = true;

}
